module LWN.FullPage
where

import Epublishable
import LWN.Article
import XHTML

-- | An LWN page with more than one article on it. These require
--   different parsing and display functions than the single-article
--   pages.
data FullPage = FullPage { articles :: [Article] }

instance XHTML FullPage where
  to_xhtml fp = ""

instance Epublishable FullPage where
  parse xml = do
    articles <- parse_articles xml
    case articles of
      (x:xs)@all -> return $ Just $ FullPage all
      _          -> return Nothing

  title _ = "LWN.net"
