module Main
where

import Data.Maybe (fromJust)
import Text.HandsomeSoup (parseHtml)
import System.Time (ClockTime( TOD ), getClockTime)

import Epublishable
import LWN.ArticlePage

main :: IO ()
main = do
  article_html <- readFile "test/fixtures/501317-article.html"
  ioap <- parse $ parseHtml article_html
  let article_page :: ArticlePage = fromJust $ ioap
  (TOD t _) <- getClockTime 
  epublish article_page "out.epub" t
  putStrLn "Done."
